package mongo_model

import (
	team_members "wechat-api/mongo_model/team_members"
	teams "wechat-api/mongo_model/teams"
	users "wechat-api/mongo_model/users"
)

type AllMongoModel struct {
	UsersModel       users.UsersModel
	TeamsModel       teams.TeamsModel
	TeamMembersModel team_members.TeamMembersModel
}

func SetupMongoModel(url, db string) *AllMongoModel {
	return &AllMongoModel{
		UsersModel:       users.NewUsersModel(url, db, "users"),
		TeamsModel:       teams.NewTeamsModel(url, db, "teams"),
		TeamMembersModel: team_members.NewTeamMembersModel(url, db, "team_members"),
	}
}
